<?php require_once('Connections/cn.php'); ?>
<?php
  
	$nro_comprobante=$_GET['nro_comprobante'];
	$cedula=$_GET['cedula'];
 
	mysql_select_db($database_cn, $cn);
	mysql_query ("SET NAMES 'utf8'");
	
	$sql = "SELECT apellidos, nombres FROM usuarios where cedula='$cedula'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$conformado_por=$row['apellidos'].' '.$row['nombres'];
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	$fecha_hoy= $diaMes."-".$Mes."-".$Anio.""; 
	$fecha_conformado=join ("-",(array_reverse(split("-",$fecha_hoy))));
	
	// Toma los datos del pago.
	$sql4="select * from pagos WHERE nro_comprobante='$nro_comprobante'";
	$rs4 = mysql_query($sql4, $cn) or die(mysql_error());
	$row4 = mysql_fetch_assoc($rs4);
	$cant4 = mysql_num_rows($rs4);
	if($cant4>0)
	{
	  $id_alumno=$row4['id_alumno'];
	  $id_periodo=$row4['id_periodo'];
	  $id_sede=$row4['sede'];
	  $id_carrera=$row4['carrera'];
      $cod_pago=$row4['codigo_pago'];
	  $monto_pago=$row4["monto"];
	  $concepto_pago=$row4["concepto_pago"];
	  $fecha_pago=$row4["fecha_pago"];
	  $modulo=$row4["modulo"];
	  $nom_alumno=$row4["nombre_alumno"];
	}

	// Tomo el numero   de recibo
	$query_recibo = "SELECT numero FROM recibos WHERE sede='$id_sede'";
	$rstRecibo = mysql_query($query_recibo, $cn) or die(mysql_error());
	$rowRecibo = mysql_fetch_assoc($rstRecibo);
	$num_recibo=$rowRecibo["numero"];
	$num_recibo++;
	
	// Actualiza los datos.	
	if (substr($cod_pago,0,2)=="03")
	{
 	   $sql = "update pagos set conformado='S',nombre_conformador='$conformado_por', fecha_conformacion='$fecha_conformado', recibo_ulac='$num_recibo' WHERE nro_comprobante='$nro_comprobante'";
	}
	else{
	     $sql = "update pagos set conformado='S', procesado='S',  nombre_conformador='$conformado_por', fecha_conformacion='$fecha_conformado', recibo_ulac='$num_recibo' WHERE nro_comprobante='$nro_comprobante'";
	}
 	mysql_query($sql, $cn) or die(mysql_error());
    
	// Actualizo el numero de Recibo en el archivo Recibos.
  	$sqlEditRecibo="UPDATE recibos SET numero='$num_recibo' WHERE sede='$id_sede'" ;
  	$rsEditRecibo = mysql_query($sqlEditRecibo, $cn) or die(mysql_error());	
	
	// Calcula el saldo a favor que tenga el participante
	$sf=0;
	$sql_sf = "SELECT saldo_favor,situacion, deuda, pagos, id_sede,cuota1+cuota2+cuota3 AS deuda FROM deudas WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera'";
	$rs_sf = mysql_query($sql_sf, $cn) or die(mysql_error());
	$row_sf = mysql_fetch_assoc($rs_sf);
	$sf=$row_sf['saldo_favor'];
// PAGO ES INSCRIPCION DE ALUMNO REGULAR.
	if ($cod_pago=="01-02")
	{
	 // Calculamos el monto del Semestre y de la Matrícula.
		$query_rstMateria = "SELECT sum(uc) as creditos FROM materias where id_carrera='$id_carrera' and semestre='$modulo'";
		$rstMateria = mysql_query($query_rstMateria, $cn) or die(mysql_error());
		$row_rstMateria = mysql_fetch_assoc($rstMateria);
		$totalRows_rstMateria = mysql_num_rows($rstMateria);
		$creditos_modulo=$row_rstMateria['creditos'];
        $creditos_a_pagar=$row_rstMateria['creditos'];
		
		$fecha1 = explode("-",date("Y-m-d")); 
		$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
		$fecha_hoy = cambioFecha($fecha2);   
	
			
		// Busca el valor actual de la Unidad Tributaria.
		$sqlUnidad = "SELECT valor FROM unidad_tributaria";
		$rstUnidad = mysql_query($sqlUnidad, $cn) or die(mysql_error());
		$rowUnidad = mysql_fetch_assoc($rstUnidad);
		$valor_ut=$rowUnidad["valor"];
		
		$sqlPeriodos = "SELECT codigo FROM periodos Where id_periodo='$id_periodo'";
		$rstPeriodos = mysql_query($sqlPeriodos, $cn) or die(mysql_error());
		$rowPeriodo = mysql_fetch_assoc($rstPeriodos);
		$periodo=$rowPeriodo["codigo"];
	
		$sqlPrograma = "SELECT nombre_carrera, tipo, inversion, costo_inscripcion, costo_uc, costo_regular FROM carreras Where id_carrera='$id_carrera'";
		$rstPrograma = mysql_query($sqlPrograma, $cn) or die(mysql_error());
		$rowPrograma = mysql_fetch_assoc($rstPrograma);
		$costo_uc=$rowPrograma["costo_uc"];
		$nombre_carrera=$rowPrograma["nombre_carrera"];
		$tipo_carrera=$rowPrograma["tipo"];
		$matricula=$rowPrograma["costo_regular"];
		$ut_por_uc=$rowPrograma['costo_uc'];
		
		// Costo Total del Programa en Bs.
		$inversion=$rowPrograma["inversion"];
		// Monto la inscripcion para alumnos regulares.
		$costo_inscripcion=$rowPrograma["costo_regular"];
		
		
		$abono_deuda=0;
		$abono_deuda=$monto_pago-$matricula;
		
		
		$valor_semestre=($creditos_a_pagar*$ut_por_uc)*$valor_ut;
		
	    $descuento=($valor_semestre*5)/100;
	
		// Determina la deuda definitiva del semestre.	
		$saldo_semestre=$valor_semestre-$abono_deuda;
		
		$pago_por_cuotas=($valor_semestre-$sf);
	    $pago_unico=$valor_semestre-($sf+$descuento);
		
		// Determina el monto de las CUOTAS en 3 partes iguales.
		$abono_deuda=0;
	    $abono_deuda=$monto_pago;
	
	
	    $cuota1=0;
	    $cuota2=0;
	    $cuota3=0;
	    $saldo_a_favor=0;
	    // Determina la deuda definitiva del semestre.	
	    if($monto_pago>=$pago_unico){
	       $valor_semestre=$pago_unico;
	       $saldo_semestre=0;
	       // Determina si el saldo a favor del participante.
	       $saldo_a_favor=$monto_pago;
	    }
	    else{   
	        $valor_semestre=$pago_por_cuotas;
	        $saldo_semestre=$pago_por_cuotas-$monto_pago;
	        $monto_cuota1=$pago_por_cuotas*0.33;
	        $monto_cuota2=$pago_por_cuotas*0.33;
	        $monto_cuota3=$pago_por_cuotas*0.34;
	        $diferencia=0;
            if($saldo_semestre>0){
		       $cuota1=number_format($monto_cuota1,2,'.','');
		       $cuota2=number_format($monto_cuota2,2,'.','');
		       $cuota3=number_format($monto_cuota3,2,'.','');
		
		       $total_cuotas=0;  
	           $total_cuotas=$cuota1+$cuota2+$cuota3;
               $diferencia=$valor_semestre-$total_cuotas;
	           $diferencia=number_format($diferencia,2);
	        }
	        if($diferencia>0){
	           $cuota3=$cuota3+$diferencia;
	        }
	       // Determina si el alumno pago mas del valor del semestre.
	      $abono_cuotas=$monto_pago-$matricula;
	      // Calcula el saldo de la Cuota 1 en función del Monto Pagado.
		  if($monto_pago<=$cuota1){
	         $cuota1=$cuota1-$abono_cuotas;
	         $abono_cuotas=0;}
	      else{
	         $abono_cuotas=$abono_cuotas-$cuota1;
		     $cuota1=0;
	      }
		  // Calcula el saldo de la Cuota 2 en función del Monto Pagado.
	      if($abono_cuotas<=$cuota2){
	         $cuota2=$cuota2-$abono_cuotas;
	         $abono_cuotas=0;}
	      else{
	         $abono_cuotas=$abono_cuotas-$cuota2;
		     $cuota2=0;
	      }
		  // Calcula el saldo de la Cuota 3 en función del Monto Pagado.
	      if($abono_cuotas<=$cuota3){
	         $cuota3=$cuota3-$abono_cuotas;
	         $abono_cuotas=0;}
	      else{
	         $abono_cuotas=$abono_cuotas-$cuota3;
		     $cuota3=0;
	      }
	   }
				 
		$cod_pago='01-02';
		
		$sqlAlumnos = "SELECT apellidos, nombres FROM alumnos Where id_alumno='$id_alumno'";
		$rstAlumnos = mysql_query($sqlAlumnos, $cn) or die(mysql_error());
		$rowAlumnos = mysql_fetch_assoc($rstAlumnos);
		$nom_alumno=$rowAlumnos["apellidos"].', '.$rowAlumnos["nombres"];
		
		$query_rstSede1 = "SELECT sedes.nombre_sede FROM sedes Where codigo='$id_sede'";
		$rstSede1 = mysql_query($query_rstSede1, $cn) or die(mysql_error());
		$row_rstSede1 = mysql_fetch_assoc($rstSede1);
		$totalRows_rstSede1 = mysql_num_rows($rstSede1);
		$nom_sede=$row_rstSede1["nombre_sede"];
		 
	  // Actualizó la deuda del alumno.
	
		  $sqlEditDeuda="UPDATE deudas SET cuota1='$cuota1',cuota2='$cuota2',cuota3='$cuota3',saldo_favor=saldo_favor+'$saldo_favor' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
		  $rsEditDeuda = mysql_query($sqlEditDeuda, $cn) or die(mysql_error());
			
				
		   
	  // Incluye el pago como movimiento del alumno.
	  $tipo="MA";
	  $subtipo="01-02";
	  $referencia=$nro_comprobante.'-A';
	  $concepto_pago="Matrícula (Lapso: ".$periodo.')';
	  $sqlAddMov="INSERT INTO movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) VALUES('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera','$concepto_pago','$matricula','$fecha_pago','$id_periodo')";
	  echo  $sqlAddMov;
	  $rsAddMov = mysql_query($sqlAddMov, $cn) or die(mysql_error());
	  
	  // Incluye el pago como movimiento del alumno.
	  $tipo="IN";
	  $subtipo="02-02";
	  $concepto_pago="Inscripción de ".$creditos_modulo.' U.C. (Lapso: '.$periodo.')';
	  $referencia=$nro_comprobante.'-B';
	  $sqlAddMov="INSERT INTO movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) VALUES('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera','$concepto_pago','$valor_semestre', '$fecha_pago','$id_periodo')";
	  $rsAddMov = mysql_query($sqlAddMov, $cn) or die(mysql_error());
	  
	  if($abono_deuda>0){
		  $tipo="AB";
		  $subtipo="04-01";
		  $concepto="Abono a Deuda Lapso: ".$periodo;
		  $referencia=$nro_comprobante.'-C';
		  $sqlAddMov="insert into movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) values('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera', '$concepto', '$abono_deuda', '$fecha_pago', '$id_periodo')";
		  $rsAddMov = mysql_query($sqlAddMov, $cn) or die(mysql_error());
	  }
     }
	
    // PAGO ES UN ABONO A DEUDA
	if ($cod_pago=="04-01")
	 {
      // Busca la Deuda del Alumno. 
	  $sqlDeuda = "SELECT cuota1,cuota2,cuota3 FROM deudas Where id_alumno='$id_alumno' and id_carrera='$id_carrera'";
	
	  $rstDeuda = mysql_query($sqlDeuda, $cn) or die(mysql_error());
	  $rowDeuda = mysql_fetch_assoc($rstDeuda);
	  $deuda=$rowDeuda['cuota1']+$rowDeuda['cuota2'];+$rowDeuda['cuota3'];;
	  $cuota1=$rowDeuda['cuota1'];
	  $cuota2=$rowDeuda['cuota2'];
	  $cuota3=$rowDeuda['cuota3'];
	   
	  $abono_cuota1=0;
	  $abono_cuota2=0;
	  $abono_cuota3=0;
	  $saldo=0;
	  $saldo=$saldo+$monto_pago;
	  
	  if($saldo>=$cuota1){
	     $abono_cuota1=$cuota1;
		 $saldo=$saldo-$cuota1;
	  }
	  else{
	      $abono_cuota1=$saldo;
		  $saldo=0;
	  }
		 	   
	
	 if($saldo>=$cuota2){
	     $abono_cuota2=$cuota2;
		 $saldo=$saldo-$cuota2;
	  }
	  else{
	      $abono_cuota2=$saldo;
		  $saldo=0;
	  }
	  
	  if($saldo>=$cuota3){
	     $abono_cuota3=$cuota3;
		 $saldo=$saldo-$cuota3;
	  }
	  else{
	      $abono_cuota3=$saldo;
		  $saldo=0;
	  }
	  
	   $sqlEditDeuda="UPDATE deudas SET cuota1=cuota1-'$abono_cuota1',cuota2=cuota2-'$abono_cuota2',cuota3=cuota3-'$abono_cuota3',saldo_favor='$saldo_a_favor' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
	  $rsEditDeuda = mysql_query($sqlEditDeuda, $cn) or die(mysql_error());
		
	  // Incluye el pago como movimiento del alumno.
	  $tipo="AB";
	  $subtipo="04-01";
	  $referencia=$nro_comprobante.'-A';
	  $sqlAddMov="INSERT INTO movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) VALUES('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera','$concepto_pago','$monto_pago','$fecha_pago','$id_periodo')";
	  $rsAddMov = mysql_query($sqlAddMov, $cn) or die(mysql_error());
	  }
	  
	  // PAGO ES UN ARANCEL
	  if (substr($cod_pago,0,2)=="03")
	 {
	 
	 // Incluye el pago como movimiento del alumno.
	  $tipo="AR";
	  $subtipo="03-".substr($cod_pago,3,2);
	  $referencia=$nro_comprobante.'-A';
	
	  $sqlAddMov="INSERT INTO movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) VALUES('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera','$concepto_pago','$monto_pago','$fecha_pago','$id_periodo')";
	  $rsAddMov = mysql_query($sqlAddMov, $cn) or die(mysql_error());
	 }
      
	 ?>
	 <script type="text/javascript">
	    msj="Pago conformado con exito..."
	 	alert(msj);
		url="pagos_por_conformar.php";
	    window.open(url,'contenido');
	 </script>
	 <?php
	 
	 function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     

?>

